summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2017-12-22 13:10:24 +0000
committerPádraig Brady <P@draigBrady.com>2017-12-23 10:25:57 +0000
commit8992dfa54c1c5b6cde032be36c7626b301346226 (patch)
treef8a0927584eb8babdf06172efc20039f9fe1a99e
parentf4fec336071552525735f0c95b7eb7c5e88801de (diff)
downloadcoreutils-8992dfa54c1c5b6cde032be36c7626b301346226.tar.gz
tests: avoid false failure on AIX 7.2
* tests/tail-2/pipe-f.sh: Close stdout in a subshell to ensure the current shell isn't impacted. Subsequent piped commands like `echo foo | blah` were seen to fail due to the previous closing of stdout. Reported by Assaf Gordon.
-rwxr-xr-xtests/tail-2/pipe-f.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/tail-2/pipe-f.sh b/tests/tail-2/pipe-f.sh
index 759881c3f..3dd85ec2e 100755
--- a/tests/tail-2/pipe-f.sh
+++ b/tests/tail-2/pipe-f.sh
@@ -40,7 +40,7 @@ compare exp out || fail=1
timeout 10 tail -f $mode $fastpoll out | sleep .1 || fail=1
# This would wait indefinitely before v8.28 (until first write)
-returns_ 1 timeout 10 tail -f $mode $fastpoll /dev/null >&- || fail=1
+(returns_ 1 timeout 10 tail -f $mode $fastpoll /dev/null >&-) || fail=1
done
Exit $fail